### Property

# WebKit2 Settings:allow-file-access-from-file-urls

#### Declaration

    property allow-file-access-from-file-urls: gboolean [ read, write, construct ]

#### Description [src]

Whether file access is allowed from file URLs. By default, when something is loaded in a `WebKitWebView` using a file URI, cross origin requests to other file resources are not allowed. This setting allows you to change that behaviour, so that it would be possible to do a XMLHttpRequest of a local file, for example.

Type: | `gboolean`
Available since: | 2.10

Setter method | `webkit_settings_set_allow_file_access_from_file_urls()`
Getter method | `webkit_settings_get_allow_file_access_from_file_urls()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no